summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'commit-and-tag')
-rwxr-xr-xcommit-and-tag20
1 files changed, 20 insertions, 0 deletions
diff --git a/commit-and-tag b/commit-and-tag
new file mode 100755
index 0000000..9db9661
--- /dev/null
+++ b/commit-and-tag
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+SCRIPT_DIR=$(cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd)
+cd "${SCRIPT_DIR}"
+
+XEN_VERSION="${1}"
+OUR_PATCHES_VERSION="${2}"
+
+TAG="${XEN_VERSION}-gentoo-patchset-${OUR_PATCHES_VERSION}"
+DESCRIPTION="Gentoo specific patches for ${XEN_VERSION} (or later)"
+
+git commit \
+ --signoff \
+ -m "${DESCRIPTION}"
+
+git tag \
+ -s \
+ -m "${DESCRIPTION}" \
+ "${TAG}"